<html>
<head>
<title>OGRE: Ogre::SceneQuery Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SceneQuery.html">SceneQuery</a></div>
<h1>Ogre::SceneQuery Class Reference</h1><!-- doxytag: class="Ogre::SceneQuery" -->A class for performing queries on a scene.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::SceneQuery:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1SceneQuery-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> { <br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a6ed287fab168d451beb369009f0fd03b">WFT_NONE</a>, 
<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a667bbec7031e58ab244f9efc32056f38">WFT_PLANE_BOUNDED_REGION</a>, 
<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a018493b6c87271e0c8ba014f058cffd3">WFT_SINGLE_INTERSECTION</a>, 
<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3adeefa0cc2dfd1ec783c2a266ea61f925">WFT_CUSTOM_GEOMETRY</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3ad498944c8c6b81d737c3ceee86881e8d">WFT_RENDER_OPERATION</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This type can be used by collaborating applications &amp; SceneManagers to agree on the type of world geometry to be returned from queries.  <a href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#672e5a9a95f02100b62cd4a6421525d6">SceneQuery</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *mgr)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Standard constructor, should be called by <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>.  <a href="#672e5a9a95f02100b62cd4a6421525d6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#373ec5891d755ecaac409e2de1e5e54e">~SceneQuery</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#d392a7fc0b338e5507540d3183f82cfb">setQueryMask</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the mask for results of this query.  <a href="#d392a7fc0b338e5507540d3183f82cfb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#a6fb367ec862186fba933d13295b366f">getQueryMask</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the current mask for this query.  <a href="#a6fb367ec862186fba933d13295b366f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#baca8d4d9b59a571e2d8e9a2cac7ce42">setQueryTypeMask</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the type mask for results of this query.  <a href="#baca8d4d9b59a571e2d8e9a2cac7ce42"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#13b381e390f4a38ae3c73cb4e42ef634">getQueryTypeMask</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the current mask for this query.  <a href="#13b381e390f4a38ae3c73cb4e42ef634"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#ec3aa0b8b16c41fae990ee78150f8d2a">setWorldFragmentType</a> (enum <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> wft)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed.  <a href="#ec3aa0b8b16c41fae990ee78150f8d2a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#fa48a4dec3b1603e3c579526582a69cb">getWorldFragmentType</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current world fragment types to be returned from the query.  <a href="#fa48a4dec3b1603e3c579526582a69cb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
std::set<br>
&lt; <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#dda215d4b5d717b6e09def4d02f445e6">getSupportedWorldFragmentTypes</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the types of world fragments this query supports.  <a href="#dda215d4b5d717b6e09def4d02f445e6"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#36c06292c148746a8950b5c3c60b63a7">mParentSceneMgr</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#1ab71f92378d94fc42b48c7bf8d9b5a0">mQueryMask</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#b6bea8046f722f02c27b0c0de794f13d">mQueryTypeMask</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::set<br>
&lt; <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#ab0a829ac0c1ac1045dac7db2320a3c8">mSupportedWorldFragments</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#9cef909c3f78d2e9f3ef44ca8c2cfdaa">mWorldFragmentType</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">WorldFragment</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents part of the world geometry that is a result of a <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>.  <a href="structOgre_1_1SceneQuery_1_1WorldFragment.html#_details">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A class for performing queries on a scene. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is an abstract class for performing a query on a scene, i.e. to retrieve a list of objects and/or world geometry sections which are potentially intersecting a given region. Note the use of the word 'potentially': the results of a scene query are generated based on bounding volumes, and as such are not correct at a triangle level; the user of the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> is expected to filter the results further if greater accuracy is required. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Different SceneManagers will implement these queries in different ways to exploit their particular scene organisation, and thus will provide their own concrete subclasses. In fact, these subclasses will be derived from subclasses of this class rather than directly because there will be region-type classes in between. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>These queries could have just been implemented as methods on the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>, however, they are wrapped up as objects to allow 'compilation' of queries if deemed appropriate by the implementation; i.e. each concrete subclass may precalculate information (such as fixed scene partitions involved in the query) to speed up the repeated use of the query. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>You should never try to create a <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> object yourself, they should be created using the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> interfaces for the type of query required, e.g. SceneManager::createSphereSceneQuery. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00068">68</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3a"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragmentType" ref="0a75b5ed976da2f9023382f4c4514b3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">Ogre::SceneQuery::WorldFragmentType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This type can be used by collaborating applications &amp; SceneManagers to agree on the type of world geometry to be returned from queries. 
<p>
Not all these types will be supported by all SceneManagers; once the application has decided which <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> specialisation to use, it is expected that it will know which type of world geometry abstraction is available to it. <dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3a6ed287fab168d451beb369009f0fd03b"></a><!-- doxytag: member="WFT_NONE" ref="0a75b5ed976da2f9023382f4c4514b3a6ed287fab168d451beb369009f0fd03b" args="" -->WFT_NONE</em>&nbsp;</td><td>
Return no world geometry hits at all. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3a667bbec7031e58ab244f9efc32056f38"></a><!-- doxytag: member="WFT_PLANE_BOUNDED_REGION" ref="0a75b5ed976da2f9023382f4c4514b3a667bbec7031e58ab244f9efc32056f38" args="" -->WFT_PLANE_BOUNDED_REGION</em>&nbsp;</td><td>
Return pointers to convex plane-bounded regions. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3a018493b6c87271e0c8ba014f058cffd3"></a><!-- doxytag: member="WFT_SINGLE_INTERSECTION" ref="0a75b5ed976da2f9023382f4c4514b3a018493b6c87271e0c8ba014f058cffd3" args="" -->WFT_SINGLE_INTERSECTION</em>&nbsp;</td><td>
Return a single intersection point (typically <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a> only). </td></tr>
<tr><td valign="top"><em><a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3adeefa0cc2dfd1ec783c2a266ea61f925"></a><!-- doxytag: member="WFT_CUSTOM_GEOMETRY" ref="0a75b5ed976da2f9023382f4c4514b3adeefa0cc2dfd1ec783c2a266ea61f925" args="" -->WFT_CUSTOM_GEOMETRY</em>&nbsp;</td><td>
Custom geometry as defined by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3ad498944c8c6b81d737c3ceee86881e8d"></a><!-- doxytag: member="WFT_RENDER_OPERATION" ref="0a75b5ed976da2f9023382f4c4514b3ad498944c8c6b81d737c3ceee86881e8d" args="" -->WFT_RENDER_OPERATION</em>&nbsp;</td><td>
General <a class="el" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a> structure. </td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00077">77</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="672e5a9a95f02100b62cd4a6421525d6"></a><!-- doxytag: member="Ogre::SceneQuery::SceneQuery" ref="672e5a9a95f02100b62cd4a6421525d6" args="(SceneManager *mgr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::SceneQuery::SceneQuery           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td>
          <td class="paramname"> <em>mgr</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Standard constructor, should be called by <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="373ec5891d755ecaac409e2de1e5e54e"></a><!-- doxytag: member="Ogre::SceneQuery::~SceneQuery" ref="373ec5891d755ecaac409e2de1e5e54e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::SceneQuery::~SceneQuery           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="d392a7fc0b338e5507540d3183f82cfb"></a><!-- doxytag: member="Ogre::SceneQuery::setQueryMask" ref="d392a7fc0b338e5507540d3183f82cfb" args="(uint32 mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::SceneQuery::setQueryMask           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>mask</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the mask for results of this query. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method allows you to set a 'mask' to limit the results of this query to certain types of result. The actual meaning of this value is up to the application; basically <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> instances will only be returned from this query if a bitwise AND operation between this mask value and the <a class="el" href="classOgre_1_1MovableObject.html#5c40b9b7d9f3231f9ba16a3514f7495a" title="Returns the query flags relevant for this object.">MovableObject::getQueryFlags</a> value is non-zero. The application will have to decide what each of the bits means. </dd></dl>

</div>
</div><p>
<a class="anchor" name="a6fb367ec862186fba933d13295b366f"></a><!-- doxytag: member="Ogre::SceneQuery::getQueryMask" ref="a6fb367ec862186fba933d13295b366f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::SceneQuery::getQueryMask           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the current mask for this query. 
<p>

</div>
</div><p>
<a class="anchor" name="baca8d4d9b59a571e2d8e9a2cac7ce42"></a><!-- doxytag: member="Ogre::SceneQuery::setQueryTypeMask" ref="baca8d4d9b59a571e2d8e9a2cac7ce42" args="(uint32 mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::SceneQuery::setQueryTypeMask           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>mask</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the type mask for results of this query. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method allows you to set a 'type mask' to limit the results of this query to certain types of objects. Whilst setQueryMask deals with flags set per instance of object, this method deals with setting a mask on flags set per type of object. Both may exclude an object from query results. </dd></dl>

</div>
</div><p>
<a class="anchor" name="13b381e390f4a38ae3c73cb4e42ef634"></a><!-- doxytag: member="Ogre::SceneQuery::getQueryTypeMask" ref="13b381e390f4a38ae3c73cb4e42ef634" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::SceneQuery::getQueryTypeMask           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the current mask for this query. 
<p>

</div>
</div><p>
<a class="anchor" name="ec3aa0b8b16c41fae990ee78150f8d2a"></a><!-- doxytag: member="Ogre::SceneQuery::setWorldFragmentType" ref="ec3aa0b8b16c41fae990ee78150f8d2a" args="(enum WorldFragmentType wft)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::SceneQuery::setWorldFragmentType           </td>
          <td>(</td>
          <td class="paramtype">enum <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&nbsp;</td>
          <td class="paramname"> <em>wft</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The application receiving the world geometry is expected to know what to do with it; inevitably this means that the application must have knowledge of at least some of the structures used by the custom <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>The default setting is WFT_NONE. </dd></dl>

</div>
</div><p>
<a class="anchor" name="fa48a4dec3b1603e3c579526582a69cb"></a><!-- doxytag: member="Ogre::SceneQuery::getWorldFragmentType" ref="fa48a4dec3b1603e3c579526582a69cb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> Ogre::SceneQuery::getWorldFragmentType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current world fragment types to be returned from the query. 
<p>

</div>
</div><p>
<a class="anchor" name="dda215d4b5d717b6e09def4d02f445e6"></a><!-- doxytag: member="Ogre::SceneQuery::getSupportedWorldFragmentTypes" ref="dda215d4b5d717b6e09def4d02f445e6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const std::set&lt;<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&gt;* Ogre::SceneQuery::getSupportedWorldFragmentTypes           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the types of world fragments this query supports. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00169">169</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="36c06292c148746a8950b5c3c60b63a7"></a><!-- doxytag: member="Ogre::SceneQuery::mParentSceneMgr" ref="36c06292c148746a8950b5c3c60b63a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1SceneQuery.html#36c06292c148746a8950b5c3c60b63a7">Ogre::SceneQuery::mParentSceneMgr</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00117">117</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1ab71f92378d94fc42b48c7bf8d9b5a0"></a><!-- doxytag: member="Ogre::SceneQuery::mQueryMask" ref="1ab71f92378d94fc42b48c7bf8d9b5a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1SceneQuery.html#1ab71f92378d94fc42b48c7bf8d9b5a0">Ogre::SceneQuery::mQueryMask</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00118">118</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b6bea8046f722f02c27b0c0de794f13d"></a><!-- doxytag: member="Ogre::SceneQuery::mQueryTypeMask" ref="b6bea8046f722f02c27b0c0de794f13d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1SceneQuery.html#b6bea8046f722f02c27b0c0de794f13d">Ogre::SceneQuery::mQueryTypeMask</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00119">119</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ab0a829ac0c1ac1045dac7db2320a3c8"></a><!-- doxytag: member="Ogre::SceneQuery::mSupportedWorldFragments" ref="ab0a829ac0c1ac1045dac7db2320a3c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::set&lt;<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&gt; <a class="el" href="classOgre_1_1SceneQuery.html#ab0a829ac0c1ac1045dac7db2320a3c8">Ogre::SceneQuery::mSupportedWorldFragments</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00120">120</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9cef909c3f78d2e9f3ef44ca8c2cfdaa"></a><!-- doxytag: member="Ogre::SceneQuery::mWorldFragmentType" ref="9cef909c3f78d2e9f3ef44ca8c2cfdaa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> <a class="el" href="classOgre_1_1SceneQuery.html#9cef909c3f78d2e9f3ef44ca8c2cfdaa">Ogre::SceneQuery::mWorldFragmentType</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00121">121</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:25 2008
</p>
</body>
</html>
